cmake_minimum_required(VERSION 2.8)
project(mod_sdl_tests)

add_executable(test_mod_sdl_loadlib test_mod_sdl_loadlib.cpp)
target_link_libraries(test_mod_sdl_loadlib nvwa)
target_link_libraries(test_mod_sdl_loadlib spcore)
target_link_libraries(test_mod_sdl_loadlib testcommon)
add_test (NAME test_mod_sdl_loadlib COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_sdl_loadlib>)

add_executable(test_mod_sdl_drawer test_mod_sdl_drawer.cpp)
target_link_libraries(test_mod_sdl_drawer nvwa)
target_link_libraries(test_mod_sdl_drawer spcore)
target_link_libraries(test_mod_sdl_drawer testcommon)
target_link_libraries(test_mod_sdl_drawer ${SDL_LIBRARY})
add_test (NAME test_mod_sdl_drawer COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_sdl_drawer>)

add_executable(test_mod_sdl_gui test_mod_sdl_gui.cpp)
target_link_libraries(test_mod_sdl_gui nvwa)
target_link_libraries(test_mod_sdl_gui spcore)
target_link_libraries(test_mod_sdl_gui testcommon)
target_link_libraries(test_mod_sdl_gui ${wxWidgets_LIBRARIES})
add_test (NAME test_mod_sdl_gui COMMAND $<TARGET_FILE:nvwa_loader> $<TARGET_FILE:test_mod_sdl_gui>)
